DeploymentClientCompositeOperations¶
-
class
oci.apigateway.DeploymentClientCompositeOperations(client, work_request_clients=None, **kwargs)¶ This class provides a wrapper around
DeploymentClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods
__init__(client[, work_request_clients])Creates a new DeploymentClientCompositeOperations object add_deployment_lock_and_wait_for_state(…)Calls add_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).change_deployment_compartment_and_wait_for_state(…)Calls change_deployment_compartment()and waits for theWorkRequestto enter the given state(s).create_deployment_and_wait_for_state(…[, …])Calls create_deployment()and waits for theWorkRequestto enter the given state(s).delete_deployment_and_wait_for_state(…[, …])Calls delete_deployment()and waits for theWorkRequestto enter the given state(s).remove_deployment_lock_and_wait_for_state(…)Calls remove_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).update_deployment_and_wait_for_state(…[, …])Calls update_deployment()and waits for theWorkRequestto enter the given state(s).-
__init__(client, work_request_clients=None, **kwargs)¶ Creates a new DeploymentClientCompositeOperations object
Parameters: - client (DeploymentClient) – The service client which will be wrapped by this object
- work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
-
add_deployment_lock_and_wait_for_state(deployment_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
add_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).Parameters: - deployment_id (str) – (required) The ocid of the deployment.
- add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_state - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_deployment_lock() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
change_deployment_compartment_and_wait_for_state(deployment_id, change_deployment_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
change_deployment_compartment()and waits for theWorkRequestto enter the given state(s).Parameters: - deployment_id (str) – (required) The ocid of the deployment.
- change_deployment_compartment_details (oci.apigateway.models.ChangeDeploymentCompartmentDetails) – (required) Details of the target compartment.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_deployment_compartment() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
create_deployment_and_wait_for_state(create_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
create_deployment()and waits for theWorkRequestto enter the given state(s).Parameters: - create_deployment_details (oci.apigateway.models.CreateDeploymentDetails) – (required) Details for the new deployment
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_deployment() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
delete_deployment_and_wait_for_state(deployment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
delete_deployment()and waits for theWorkRequestto enter the given state(s).Parameters: - deployment_id (str) – (required) The ocid of the deployment.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_deployment() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
remove_deployment_lock_and_wait_for_state(deployment_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
remove_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).Parameters: - deployment_id (str) – (required) The ocid of the deployment.
- remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_state - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_deployment_lock() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-
update_deployment_and_wait_for_state(deployment_id, update_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶ Calls
update_deployment()and waits for theWorkRequestto enter the given state(s).Parameters: - deployment_id (str) – (required) The ocid of the deployment.
- update_deployment_details (oci.apigateway.models.UpdateDeploymentDetails) – (required) The information to be updated.
- wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
status - operation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_deployment() - waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
-